/**********
SITEWIDE STYLES
**********/

:root {
    --primary-text: #0a0a0a;
    --white: #fff;

    --primary: #005e42;
    --primary-alt: #003223;

    --secondary: #ceff80;
    --secondary-alt: #a5d15e;

    --accent: #bd4b27;

    --bgblockone: #dbe7ff;
    --bgblocktwo: #fff;

    --transparent: rgba(0,0,0,0);
}

body {
    color: #0a0a0a;
    line-height: 1.7;
    font-size: 1.6rem;
    font-weight: 400;
    font-family: 'Jost';
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 700;
    margin-bottom: 2rem;
    line-height: 1.4;
}

h1 {
    font-size: 4.2rem;
}
h2 {
    font-size: 3.6rem;
}
h3 {
    font-size: 2.6rem;
}
h4 {
    font-size: 2.1rem;
}
h5 {
    font-size: 1.8rem;
}
h6 {
    font-size: 1.6rem;
}

.txt-primary {
    color: var(--primary);
}

::-moz-selection {
    background: var(--primary);
    color: var(--white);
}

::selection {
    background: var(--primary);
    color: var(--white);
}

.text-white {
    color: #fff;
}

* {
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased; 
    -moz-osx-font-smoothing: grayscale;
}

img {
    max-width: 100%;
    height: auto;
}

a {
    text-decoration: none;
}

p:last-of-type {
    margin-bottom: 0;
}

/* BLOG */
.featured-image img {
    object-fit: cover;
    transform: scale(1);
    transition: -webkit-transform 300ms ease;
    transition: transform 300ms ease;
    transition: transform 300ms ease;
    -webkit-transform: 300ms ease;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
}

.featured-image img:hover {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

.featured-image {
    overflow: hidden;
    padding-top: 60%;
    margin-bottom: 0.625rem;
    position: relative;
}

.placeholder-image i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2.5rem;
    color: var(--dark);
}

.featured-image .placeholder-image {
    position: absolute;
    width: 100%;
    background-color: #e1e1e1;
    height: 100%;
    text-align: center;
}

.breadcrumbs i {
    font-size: 0.6875rem;
    position: relative;
    top: -0.06875rem;
}

/**********
BUTTON    
**********/
.btn {
    background-color: transparent;
    box-shadow: none !important;
    padding: 1.3rem 3rem;
    transition: all .15s ease-in-out;
    border-radius: 0.25rem;
    text-transform: uppercase;
    border-width: 0;
    font-size: 1.6rem;
    font-weight: 600;
    border-style: solid;
}

.btn-small {
    font-size: 0.9rem;
    padding: 0.4375rem 1.25rem;
}

.btn.btn-primary {
    font-weight: bold;
    background-color: var(--primary);
    color: var(--white);
    position: relative;
    border-width: 0;
    border-style: solid;
}

.btn.btn-primary:hover,
.btn.btn-primary:focus,
.btn.btn-primary:active {
    background-color: var(--primary-alt);
    color: var(--white);
}

.form-container .frm_form_fields .frm_fields_container .frm_submit .frm_button_submit {
    font-weight: bold;
    background-color: var(--accent);
    color: #fff;
    position: relative;
    border-width: 0;
    border-style: solid;
    padding-top: 16px;
    padding-bottom: 16px;
}

.form-container .frm_form_fields .frm_fields_container .frm_submit .frm_button_submit:hover,
.form-container .frm_form_fields .frm_fields_container .frm_submit .frm_button_submit:focus,
.frm_button_submit:active {
    background-color: var(--secondary-alt);
    color: #fff;
}

.btn.btn-secondary {
    background-color: var(--secondary);
    color: #fff;
}

.btn.btn-secondary:hover,
.btn.btn-secondary:focus,
.btn.btn-secondary:active {
    background-color: var(--secondary-alt);
    border: 0 solid var(--transparent);
    color: var(--white);
}

.btn.btn-white {
    color: var(--primary);
    background-color: var(--white);
    opacity: 1;
}

.btn.btn-white:hover,
.btn.btn-white:focus,
.btn.btn-white:active {
    opacity: .6;
}

.btn.btn-outline-white {
    border: 1px solid #fff;
    color: #fff;
}

.btn.btn-outline-white:hover {
    border: 1px solid var(--primary);
    background-color: var(--primary);
    color: #fff;
}

/* DEFAULTS */
.object-fit-cover {
    object-position: center;
}

.list-style-none {
    list-style-type: none;
}

.nav ul {
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

.nav ul li {
    display: inline-block;
}

.transition {
    transition: all 0.3s ease;
}

.bgcover {
    background-size: cover;
    background-position: center;
}

section.block {
    padding: 6.25rem 0;
}

.box-overlay:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.aspect-ratio-1 {
    aspect-ratio: 1;
}

.bradius {
    border-radius: 0.1875rem;
}

blockquote {
    padding: 0.8125rem 1.875rem 0.8125rem 1.875rem;
    border-left: 3px solid var(--primary);
    margin: 0.9375rem 0;
    font-style: italic;
    font-weight: 500;
}

/* DEFAULT GRAVITY FORMS */
.gform_wrapper.gravity-theme .gform_validation_errors {
    padding: 1.25rem 1.25rem 0.625rem;
    text-align: center;
    margin-bottom: 1.25rem;
}

.gform_wrapper.gravity-theme .gform_validation_errors>h2 {
    font-size: 1.6rem;
    font-weight: 700;
}

.gform_wrapper.gravity-theme .gfield_validation_message,
.gform_wrapper.gravity-theme .validation_message {
    border-radius: 0.625rem;
    font-weight: bold;
    margin-top: 0.75rem;
}

.gform_wrapper .gform_footer input.gform_button {
    border: 2px solid var(--primary) !important;
    padding: 1rem 3.75rem !important;
    text-transform: uppercase;
    color: var(--primary);
    font-weight: 700;
    background-color: transparent;
    margin: 0 auto;
    transition: 0.3s all ease;
}

.gform_wrapper .gform_footer input.gform_button:hover {
    background-color: var(--primary);
    color: #fff;
}

.gform_wrapper textarea {
    height: 7.5rem;
    margin-top: 0.3125rem;
    border: 1px solid #e1e1e1;
}

.gform_wrapper.gravity-theme .gfield textarea:focus {
    outline: 0;
    border-color: var(--primary) !important;
}

.gform_wrapper select {
    border-color: #e1e1e1;
    padding: 1.125rem 0.9375rem;
    outline: 0 !important;
}

.gform_wrapper input {
    border: 1px solid #e1e1e1;
    line-height: 1;
}

.gform_wrapper.gravity-theme input[type=color],
.gform_wrapper.gravity-theme input[type=date],
.gform_wrapper.gravity-theme input[type=datetime-local],
.gform_wrapper.gravity-theme input[type=datetime],
.gform_wrapper.gravity-theme input[type=email],
.gform_wrapper.gravity-theme input[type=month],
.gform_wrapper.gravity-theme input[type=number],
.gform_wrapper.gravity-theme input[type=password],
.gform_wrapper.gravity-theme input[type=search],
.gform_wrapper.gravity-theme input[type=tel],
.gform_wrapper.gravity-theme input[type=text],
.gform_wrapper.gravity-theme input[type=time],
.gform_wrapper.gravity-theme input[type=url],
.gform_wrapper.gravity-theme input[type=week],
.gform_wrapper.gravity-theme select,
.gform_wrapper.gravity-theme textarea {
    padding: 0.9375rem 0.9375rem !important;
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid #D3DEE2;
    transition: all 0.3s ease;
}

.gform_wrapper.gravity-theme input:focus {
    border-color: var(--primary);
}

.gform_validation_error.gform_wrapper.gravity-theme .gform_validation_errors {
    padding: 1rem;
    border-radius: 0;
}

.gform_validation_error.gform_wrapper.gravity-theme .gfield_validation_message,
.gform_wrapper.gravity-theme .validation_message {
    border-radius: 0;
    font-size: 0.8125rem;
    background-color: transparent;
    border: revert-layer;
    padding: 0;
}

.gform_wrapper.gravity-theme form .gform_footer,
.gform_wrapper.gravity-theme form .gform_page_footer {
    padding-bottom: 0;
}

/* MOBILE NAV */
.navbar-toggler[aria-expanded="false"] .navbar-toggler-icon {
    background: url(./images/icons/nav-closed.svg);
    background-position: center center;
    background-repeat: no-repeat;
}

.navbar-toggler .navbar-toggler-icon {
    width: 1.875rem;
    height: 1.875rem;
}

.navbar-toggler-icon {
    display: inline-block;
    width: 1.5em;
    height: 1.5em;
    vertical-align: middle;
    background-image: var(--bs-navbar-toggler-icon-bg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100%;
}

/* -------------------------
NEW STYLES HERE 
------------------------- */
